## BEWARE : partners with a name which includes the phrase "source" must manually specify the image location using "image_path_optional". See the partner named WhiteSource for an example use case.

- title: Cloud Partners
  id: cloud-partners
  applications:
    - title: Google
      content: GitLab’s integration with Google Kubernetes Engine (GKE) offers scalable app deployments in just a few clicks. Learn more about our <a href="/partners/technology-partners/google-cloud-platform/">GKE Integration</a>.<br><br>GitLab is an official <a href="https://cloud.withgoogle.com/partners/detail/?id=ACkb94YZx3RNPmFySgoxPky28lnTU6sZCUYy1ZporLF7kENvUtcB6VbmyTxnO20PGhS56KHudsYM&hl=en-US">GCP Partner</a>.
      links:
        - url: https://console.cloud.google.com/marketplace/details/gitlab-public/gitlab?filter=solution-type:k8s&q=gitlab
          title: Find us on the GCP Marketplace
    - title: AWS
      content: GitLab’s support for Amazon’s Elastic Container Service for Kubernetes (EKS) unlocks a set of powerful GitLab features along with the ability to one-click install applications like Helm, Ingress, Prometheus, and GitLab Runner to your cluster.<br><br>GitLab is an official <a href="/partners/technology-partners/aws/">AWS Partner</a>.
      links:
        - url: https://about.gitlab.com/partners/technology-partners/aws/
          title: GitLab on AWS
        - url: https://docs.gitlab.com/ee/install/aws/
          title: Install GitLab on AWS
        - url: https://aws.amazon.com/marketplace/seller-profile?id=9657c703-ca56-4b54-b029-9ded0fadd970
          title: AWS Marketplace listings
    - title: Microsoft Azure
      content: GitLab is an official Microsoft Azure Partner
      links:
        - url: https://azuremarketplace.microsoft.com/en-us/marketplace/apps/gitlab.gitlab-ce?utm_campaign=social&utm_content=190745898c2e43f08560396ba1a0208d&utm_medium=e&utm_source=mkt-gitlab-cegitlab-ce&tab=PlansAndPrice
          title: Find us on the Azure Marketplace
    - title: DigitalOcean
      content: DigitalOcean is the cloud of choice for developers around the world to create modern applications. With a community of more than 3.5 million developers and a global network of data centers, we focus on open source and simplicity to allow developers and their teams to spend more time on innovation instead of managing complex infrastructure.
      links:
        - url: https://www.youtube.com/watch?v=lUdzHVltCfU
          title: Check out how to use AutoDevOps with Digital Ocean
    - title: Oracle Cloud
      content:  Running GitLab on Oracle Cloud Infrastructure gives customers a choice in their DevOps platform as one application for the entire DevOps lifecycle. Use GitLab CI/CD to deploy directly into OKE.
      links:
        - url: https://blogs.oracle.com/cloud-infrastructure/using-the-gitlab-cicd-pipelines-integrated-workflow-to-build,-test,-deploy,-and-monitor-your-code-with-container-engine-for-kubernetes-and-registry
          title: Using GitLab CI/CD Pipelines for automation workflows on OKE
    - title: Render
      content:  Deploy code from private or public projects as web apps, static sites, APIs, cron jobs, background workers and more directly to Render's cloud from GitLab. Additionally, you can use Render for Gitlab to automatically create Merge Request Preview URLs for your web apps.
      links:
        - url: https://render.com
          title: Render
        - url: https://render.com/docs/gitlab
          title: Render for GitLab
    - title: amazee.io
      content: amazee.io provides hosting for web applications, leveraging the open source build and deploy platform Lagoon. Lagoon is a fully automated deployment system for Web Applications into Kubernetes clusters. It fully support DevOps practices and integrates with GitLab.
      links:
        - url: https://lagoon.readthedocs.io/en/latest/using_lagoon/configure_webhooks/#gitlab
          title: Lagoon by amazee.io for GitLab
- title: Kubernetes Partners
  id: kubernetes-partners
  applications:
    - title: GKE
      content: Google Kubernetes Engine is a managed environment for deploying containerized applications. It brings our latest innovations in developer productivity, resource efficiency, automated operations, and open source flexibility to accelerate your time to market.
      links:
        - url: https://cloud.google.com/kubernetes-engine/
          title: GKE Website
    - title: EKS
      content: Amazon Elastic Container Service for Kubernetes (Amazon EKS) is a managed service that makes it easy for you to run Kubernetes on AWS without needing to install and operate your own Kubernetes clusters.
      links:
        - url: https://aws.amazon.com/eks/
          title: EKS Website
    - title: AKS
      content: Simplify the deployment, management, and operations of Kubernetes. Use a fully managed Kubernetes container orchestration service or choose other orchestrators.
      links:
        - url: https://azure.microsoft.com/en-us/services/kubernetes-service/
          title: AKS Website
    - title: VMware Tanzu
      content: A purpose-built container solution to operationalize Kubernetes for multi-cloud enterprises and service providers.
      links:
        - url: https://tanzu.vmware.com/kubernetes-grid
          title: VMware Tanzu Website
    - title: RedHat OpenShift
      content: Red Hat OpenShift is the leading enterprise Kubernetes platform - a security-focused, consistent foundation to deliver applications anywhere, with full-stack automated operations and streamlined developer workflows. With Red Hat OpenShift, innovators can focus on what matters, stay competitive, and outpace rising customer expectations.
      links:
        - url: https://www.openshift.com/
          title: OpenShift Website
    - title: Rafay Systems
      content: Rafay automates multi-cluster management and application operations at scale. Use the GitLab integration to leverage the Rafay runner to automate your Kubernetes multi-cluster app deployments and upgrades to the entire application lifecycle management process.
      links:
        - url: https://rafay.co/gitlab-integration/
          title: Integration Documentation
    - title: Upbound
      content: Use Upbound's open source Kubernetes-native control plane, Crossplane, to standardize infrastructure management and monitoring on kubectl and GitOps.
      links:
        - url: https://docs.gitlab.com/ee/user/clusters/crossplane.html
          title: Crossplane for GitLab
    - title: Cisco
      content: Cisco Container Platform (CCP) automates the repetitive things and simplifies the complex ones so everyone can just go back to enjoying the magic of containers.
      links:
        - url: https://www.cisco.com/c/en/us/products/cloud-systems-management/container-platform/index.html
          title: CCP Website
    - title: SUSE Rancher
      content: SUSE Rancher container management platform makes it easy for you to manage all aspects of running containers. You no longer need to develop the technical skills required to integrate and maintain a complex set of open source technologies.
      links:
        - url: https://www.suse.com/products/suse-rancher/
          title: SUSE Rancher Website
    - title: D2iQ
      content: D2iQ provides a smarter approach to Day 2 operations by providing cloud-native platforms for Kubernetes and CI/CD application management. Leverage D2iQ's Konvoy integrated with GitLab to rapidly build, test, and manage an application's lifecycle using Kubernetes best practices and modern GitOps processes.
      links:
        - url: https://docs.d2iq.com/ksphere/konvoy/latest/tutorials/gitlab/
          title: D2iQ for GitLab Documentation
    - title: Canonical
      content: This is pure Kubernetes tested across the widest range of clouds with modern metrics and monitoring, brought to you by the people who deliver Ubuntu.
      links:
        - url: https://www.ubuntu.com/kubernetes
          title: Canonical Website
    - title: Docker
      content: The Docker platform is getting support for Kubernetes. This means that developers and operators can build apps with Docker and seamlessly test and deploy them using both Docker Swarm and Kubernetes.
      links:
        - url: https://www.docker.com/products/orchestration
          title: Docker Orchestration Website
- title: iOS/Android Apps
  id: mobile-apps
  applications:
    - title: GitFox
      content: GitFox is an open source GitLab client for Android with Clean Architecture concepts and intuitive user interface. The app allows you to view commits, issues, merge requests and other events from all your projects. GitFox grows together with GitLab.
      links:
        - url: https://play.google.com/store/apps/details?id=com.gitlab.terrakok.gitfox
          title: Google Play
        - url: https://gitlab.com/terrakok/gitlab-client
          title: GitLab Repository
    - title: LabCoat
      content: GitLab client for Android, featuring full material design and allows for multiple accounts.
      links:
        - url: https://play.google.com/store/apps/details?id=com.commit451.gitlab&hl=en
          title: Play Store
        - url: https://gitlab.com/Commit451/LabCoat
          title: Repository on GitLab
    - title: GitLab Control
      content: An iOS app for managing your GitLab projects on iPhone or iPad. GitLab Control gives you full access to your GitLab projects with the built in code viewer and search tools. You can fully navigate your code tree, issues, milestones and code snippets or search for any filenames, IDs or labels. You can also capture, organise and prioritise your team’s issues, and stay up-to-date using activity streams displaying commits, issues, and more across all repositories.
      links:
        - url: http://gitlabcontrol.com/
          title: gitlabcontrol.com
    - title: Working Copy
      content: Full featured Git client for iPhone and iPad.
      links:
        - url: http://WorkingCopyApp.com/
          title: workingcopyapp.com
    - title: Chrome GitLab Notifier
      content: Third party notifier for GitLab events (Commit, Issue, MergeRequest and Milestone).
      links:
        - url: https://chrome.google.com/webstore/detail/gitlab-notifier-for-googl/eageapgbnjicdjjihgclpclilenjbobi
          title: Chrome App Store
    - title: GitJournal
      content: Mobile first Markdown Editor integrated with Git. GitJournal lets you easily manage your markdown documentation or GitLab Pages Website or just notes you have stored in Git.
      links:
        - url: http://GitJournal.io/
          title: Website
        - url: https://github.com/GitJournal/GitJournal
          title: Code Repository
- title: CLI Clients
  id: cli-clients
  applications:
    - title: Lab
      content: Lab wraps Git, making it simple to clone, fork, and interact with repositories on GitLab, including seamless workflows for creating merge requests, issues and snippets.
      links:
        - url: https://github.com/zaquestion/lab
          title: Repository on GitHub
    - title: GLab
      content:  GLab is an open source GitLab CLI tool to help work seamlessly with GitLab from the command line. Work with issues, merge requests, watch running pipelines directly from your CLI among other features.
      links:
        - url: https://glab.readthedocs.io/
          title: GLab for GitLab Documentation
    - title: Narkoz's Ruby wrapper & CLI
      content: Ruby wrapper and CLI for GitLab REST API.
      links:
        - url: https://github.com/NARKOZ/gitlab
          title: Repository on GitHub
    - title: Invantive Data Hub
      content: Invantive Data Hub is command-line driven software that is capable of executing Invantive Query Tool-compatible scripts across many databases and cloud platforms. Ideal for high volume data loads and extractions of cloud applications such as GitLab.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-data-hub#data-hub
          title: Invantive Data Hub
    - title: "Bor-sh's git-gitlab"
      content: Yet another GitLab command line interface.
      links:
        - url: https://gitlab.com/bor-sh/git-gitlab
          title: Repository on GitLab
    - title: Invantive Data Access Point
      content: Extend GitLab APIs by support for many additional communication protocols, including Microsoft Power BI.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-data-access-point#data-access-point
          title: Invantive Data Access Point
    - title: "GoTsunami's GitLab Copy Tool"
      content: Copy issues (with labels, milestones and notes) from one GitLab project to another, possibly running on different GitLab instances.
      links:
        - url: https://github.com/gotsunami/gitlab-copy
          title: Repository on GitHub
    - title: 'lighttiger2505/lab'
      content: |
        Lab is a CLI client of GitLab, inspired by the hub command.
        You can retrieve the information necessary for operation from a Git repository, minimizing the user input.
        Create, list and edit issues and merge requests quickly.
        Lab also helps you to filter with rich options, making it easy to access information on GitLab.
      links:
        - url: https://github.com/lighttiger2505/lab
          title: Repository on GitHub
    - title: 'gtt'
      content: |
        A fully featured command line interface for GitLab's time tracking feature. gtt monitors the time you spent on an issue or merge request locally and syncs it to GitLab. It also allows you to create reports in various formats from time tracking data stored on GitLab.
      links:
        - url: https://github.com/kriskbx/gitlab-time-tracker
          title: Repository on GitHub
        - url: https://www.npmjs.com/package/gitlab-time-tracker
          title: Package on NPM
    - title: 'Release It!'
      content: 'Automate the tedious tasks of software releases. Happily release and publish your Git repositories, npm packages, GitHub & GitLab releases, changelogs, and much more!'
      links:
        - url: https://github.com/webpro/release-it
          title: Repository on GitHub
        - url: https://www.npmjs.com/package/release-it
          title: Package on npm
    - title: 'GitLab CLI'
      content: 'The GitLab Command Line Interface (CLI) is a cross-platform command line utility that provides a user-friendly yet powerful way to query information from your GitLab repos.'
      links:
        - url: https://github.com/makkes/gitlab-cli
          title: Repository on GitHub
- title: API Clients
  id: api-clients
  applications:
    - title: "Narkoz's Ruby wrapper & CLI"
      content: Ruby wrapper and CLI for GitLab REST API.
      links:
        - url: https://github.com/NARKOZ/gitlab
          title: Repository on GitHub
    - title: Perl
      content: GitLab::API::v4 is a robust Perl client for the GitLab API.
      links:
        - url: https://metacpan.org/pod/GitLab::API::v4
          title: Distribution on MetaCPAN
        - url: https://github.com/bluefeet/GitLab-API-v4
          title: Repository on GitHub
    - title: Python
      content: Python GitLab is a Python wrapper for the GitLab API
      links:
        - url: https://github.com/python-gitlab/python-gitlab
          title: Repository on GitHub
    - title: Python
      content: libsaas_gitlab is a Python wrapper based on libsaas
      links:
        - url: https://gitlab.com/bor-sh-infrastructure/libsaas_gitlab
          title: Repository on GitLab
    - title: Go
      content: Go GitLab Client is a 100% complete GitLab API v4 (and v3) client.
      links:
        - url: https://github.com/xanzy/go-gitlab
          title: Repository on GitHub
    - title: Backbone
      content: Backbone for GitLab is a Backbone client library for the GitLab API
      links:
        - url: https://github.com/oreillymedia/backbone-gitlab/
          title: Repository on GitHub
    - title: Node
      content: GitLab-Yaac (Node Package Manager) is aGitLab API client with more control over server response
      links:
        - url: https://www.npmjs.com/package/gitlab-yaac
          title: Repository on GitHub
    - title: PHP
      content: PHP-GitLab-API is aGitLab API client for PHP
      links:
        - url: https://github.com/m4tthumphrey/php-gitlab-api
          title: Repository on GitHub
    - title: Laravel
      content: Laravel GitLab is a Laravel bridge for GitLab
      links:
        - url: https://github.com/vinkla/gitlab
          title: Repository on GitHub
    - title: Java
      content: Java GitLab API is a wrapper for the GitLab API written in Java
      links:
        - url: https://github.com/timols/java-gitlab-api
          title: Repository on GitHub
    - title: Java
      content: GitLab4J-API is a full featured Java library for working with the GitLab API
      links:
        - url: https://github.com/gmessner/gitlab4j-api
          title: Repository on GitHub
        - url: http://www.messners.com/#gitlab4j-api/gitlab4j-api.html
          title: GitLab4J-API Homepage
    - title: .NET
      content: GitLabApiClient is a .NET client for GitLab.
      links:
        - url: https://github.com/nmklotas/GitLabApiClient
          title: Repository on GitHub
    - title: PowerShell
      content: PSGitLab is a PowerShell module for interacting with the GitLab API.
      links:
        - url: http://www.powershellgallery.com/packages/PSGitLab/
          title: Package on PSGallery
        - url: https://github.com/ngetchell/PSGitLab
          title: Repository on GitHub
    - title: clj-gitlab
      content: clj-gitlab is a wrapper for the GitLab API written in Clojure.
      links:
        - url: https://gitlab.com/dzaporozhets/clj-gitlab
          title: Repository on GitLab.com
    - title: 'Xillio API'
      content: 'The Xillio API provides a platform with which developers can effortlessly build integrations with popular content repositories - including GitLab. Xillio API makes content stored in both cloud content systems and legacy systems accessible from any application.'
      links:
        - url: 'https://www.xillio.com'
          title: 'About Xillio'
        - url: https://docs.xill.io
          title: 'Xillio API documentation'
    - title: Swift
      content: A reactive GitLab API v4 client written in Swift 4.2 using RxSwift. This client is supported on iOS, macOS, tvOS and watchOS.
      links:
        - url: https://gitlab.com/dagytran/diploma-thesis/blob/master/src/main.pdf
          title: Reactive GitLab API library for Apple platforms - Masters thesis
        - url: https://qase.github.io/RxGitLabKit/
          title: RxGitLabKit Documentation
        - url: https://github.com/Qase/RxGitLabKit
          title: Repository on GitHub
    - title: Haskell
      content: A statically typed Haskell API for GitLab. Use Haskell data structures to query and update GitLab databases with extensive coverage of the GitLab v4 API including projects, users, groups, pipelines and repositories.
      links:
        - url: http://hackage.haskell.org/package/gitlab-haskell
          title: Haskell API documentation for GitLab
        - url: https://gitlab.com/robstewart57/gitlab-haskell
          title: Repository on GitLab
- title: Utilities
  id: utilities
  applications:
    - title: ServiceNow
      content: The ServiceNow integration extends the ServiceNow DevOps solution. We collect information when developers check code into the repository and again during Continuous Integration. We can then provide unique insights and auditing as well as automatically create and approve change requests in ServiceNow.
      links:
        - url: https://docs.servicenow.com/bundle/paris-devops/page/product/enterprise-dev-ops/task/activate-dev-ops-integrations.html
          title: ServiceNow Spoke for GitLab Documentation
    - title: GitLabCalendar
      content: Push GitLab issue due dates to your Google Calendar
      links:
        - url: https://gitlabcalendar.kontrollfeld.com
          title: GitLab Google Calendar integration
    - title: Postman
      content: Back up your Postman Collections to your GitLab projects with the Postman to GitLab integration. Available with any paid Postman plan.
      links:
        - url: https://learning.postman.com/docs/integrations/available-integrations/gitlab/
          title: Postman to GitLab documentation
    - title: Saber Feedback
      content: 'Collect user feedback and bug reports on your website, which can be created as issues in a GitLab project. Information on how to integrate Saber Feedback with GitLab can be found in the <a href="https://saberfeedback.com/docs/integrations/gitlab/">Saber Feedback Documentation</a>'
      links:
        - url: https://saberfeedback.com/
          title: Saber Feedback website
    - title: Mirror a GitHub project to GitLab
      content: 'github2gitlab is a command line tool to mirror the git repository and the pull requests of a GitHub project to GitLab. As of version 7.7.0 GitLab also <a href="http://doc.gitlab.com/ce/workflow/importing/import_projects_from_github.html">includes a GitHub importer</a> that transfers issues and comments.'
      links:
        - url: https://pypi.python.org/pypi/github2gitlab
          title: Home Page
    - title: Usersnap
      content: Add annotated screenshots to every issue in GitLab. A picture paints a thousand words, so reproducing the bug gets as simple as possible.
      links:
        - url: https://usersnap.com/gitlab
          title: www.usersnap.com
    - title: GitLab Identity Connector
      content: 'Identity connector for GitLab written using ConnId framework. The
      connector can be used to access GitLab from <a href="http://midpoint.evolveum.com/">midPoint</a> identity management system.'
      links:
        - url: https://github.com/Evolveum/connector-gitlab
          title: Repository on GitHub
    - title: GitLab external user creator
      content: Web app which allows internal users to create new users for collaborators (as external users).
      links:
        - url: https://github.com/dolfim/gitlab_user_creator
          title: Repository on GitHub
    - title: GitLabForm
      content: GitLabForm is an easy "configuration as code" tool for GitLab using config in plain YAML.
      links:
        - url: https://github.com/egnyte/gitlabform
          title: Repository on GitHub
    - title: Invantive Control for Excel
      content: Download and upload facts to GitLab using the Excel add-in Invantive Control. The add-in provide businesses and organizations all the functionalities needed to make real-time management decisions.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-control#control
          title: Invantive Control for Excel
    - title: Invantive Composition for Word
      content: Save money and time by merging data from GitLab with Word documents. The automatic generation and creation of documents increases business profit.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-composition#composition
          title: Invantive Composition for Word
    - title: Envoyer
      content: Zero Downtime PHP Deployments.
      links:
        - url: https://envoyer.io/
          title: Envoyer.io
    - title: YouTrack
      content: When you type any YouTrack command in a VCS commit comment, it is applied to the issue associated with that commit.
      links:
        - url: https://www.jetbrains.com/youtrack/features/integrations.html
          title: YouTrack
    - title: Gitpod
      content: Gitpod provides prebuilt, collaborative development environments in your browser - powered by VS Code. Use the GitLab integration to get fresh, task-based dev environments for any issue, branch and merge request with a single click.
      links:
        - url: https://www.gitpod.io/docs/gitlab-integration
          title: Gitpod.io for GitLab Documentation
    - title: SwaggerHub
      content: SwaggerHub is an API development platform that allows users to quickly build, document and deploy their APIs using the Swagger framework. SwaggerHub’s GitLab integration lets users push-generate their API’s definition and code to the GitLab repository of their choice and keep them in sync, thus managing their API lifecycle in GitLab from a single source-of-truth.
      links:
        - url: https://app.swaggerhub.com/help/integrations/gitlab-sync
          title: SwaggerHub
    - title: Invantive Query Tool for SQL
      content: With the Invantive Query Tool is all the data, stored in GitLab, available on demand. It empowers to execute queries, capture and analyze data and create business reports in real-time.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-query-tool#query-tool
          title: Invantive Query Tool for SQL
    - title: Review Board
      content: A web-based collaborative code review tool
      links:
        - url: https://www.reviewboard.org/
          title: Review Board
    - title: Online SQL Editor
      content: Business Intelligence via any web browser and platform. By logging in with the GitLab credentials easily extract, organize and analyze data, stored in the cloud of GitLab.
      links:
        - url: https://www.gitlab-apps.com/index.html?utm_source=gitlab-online-sql-editor#online-sql-editor
          title: Online SQL Editor
    - title: Stitch
      content: Stitch is a simple, powerful ETL service built for developers.
      links:
        - url: https://www.stitchdata.com/
          title: Stitch
    - title: MergeRequestsCI
      content: A web-based tool to see all merge requests of your team in one place
      links:
        - url: https://hexanet.gitlab.io/MergeRequestsCI
          title: Hosted version on GitLab Pages
        - url: https://gitlab.com/hexanet/MergeRequestsCI
          title: Repository on gitlab.com
        - url: https://github.com/Hexanet/MergeRequestsCI
          title: Repository on GitHub
    - title: GitPitch - Slideshow Presentations for Developers
      content: No more PowerPoint. No more Keynote. Just Markdown. Then Git-Commit.
      links:
        - url: https://gitpitch.com
          title: GitPitch Website
        - url: https://gitlab.com/gitpitch/gitpitch
          title: GitPitch Repo on GitLab
        - url: https://github.com/gitpitch/gitpitch/wiki
          title: GitPitch Wiki
    - title: Raygun
      content: Raygun is a Software Intelligence Platform that provides crash reporting and real user monitoring to thousands of software teams. The integration with GitLab provides functions for creating issues and linking directly back to your source code.
      links:
        - url: https://raygun.com
          title: Raygun Website
        - url: https://raygun.com/docs/plugins/gitlab
          title: Integration setup instructions
        - url: https://raygun.com/blog/2016/06/raygun-and-gitlab/
          title: Raygun and GitLab make deployment easier
    - title: Zapier
      content: Zapier allows you to connect almost any application to almost any other application, GitLab included.
      links:
        - url: https://zapier.com/zapbook/gitlab/
          title: GitLab Integration for Zapier
    - title: TaskTop
      content: TaskTop allows you to integrate GitLab with ITSM tools such as ServiceNow and Zendesk, or Agile Planning tools such as CA Agile Central, JIRA, LeanKit, or VersionOne.
      links:
        - url: https://www.tasktop.com/blog/support-for-gitlab-servicenow-express-and-modern-requirements4tfs-now-available/
          title: TaskTop GitLab integration
    - title: Serverless Microsoft Teams Connector
      content: Easily integrate MS Teams with GitLab to notify you on merge requests and issues.
      links:
        - url: https://github.com/svtek/serverless-microsoft-teams-gitlab-connector
          title: Serverless Microsoft Teams Connector
    - title: GitMate.io
      content: GitMate.io is a tool for automatic issue triaging. It helps you to spend less time sorting and prioritizing your issues.
      links:
        - url: https://GitMate.io/
          title: GitMate.io
    - title: Relution
      content: Integrate GitLab with Relution for distributing and managing multiple iOS and/or Android mobile applications built with GitLab CI/CD. You can use Relution to set up Git repositories and CI/CD pipelines for your projects on your GitLab infrastructure.
      links:
        - url: 'https://www.relution.io'
          title: "Relution website"
        - url: 'https://www.relution.io/en/insights-news/automate-app-projects/'
          title: "GitLab + Relution integration overview"
        - url: 'http://repo.relution.io/package/latest/manual.html#development-hub'
          title: "Relution documentation"
    - title: Instabug
      content: Receive detailed bug reports and in-app feedback reported by your users and beta testers from your mobile app directly to GitLab.
      links:
        - url: https://instabug.com/integrations/gitlab
          title: Instabug + GitLab integration overview
    - title: Marker.io
      content: Create visual and actionable bug reports as GitLab issues without leaving your website.
      links:
        - url: https://marker.io/gitlab?utm_source=gitlab&utm_medium=marketplace&utm_campaign=integration&utm_term=gitlab
          title: marker.io/gitlab
    - title: Ybug
      content: A visual feedback and bug tracking tool for your website. Receive user feedback and detailed bug reports with screenshots as issues in your GitLab project.
      links:
        - url: 'https://ybug.io?utm_source=gitlab&utm_medium=integration-link&utm_campaign=gitlab'
          title: "Ybug.io"
        - url: 'https://ybug.io/integrations/gitlab?utm_source=gitlab&utm_medium=integration-link&utm_campaign=gitlab'
          title: "Ybug GitLab integration"
    - title: RequestBin
      content: RequestBin generates a URL you can send GitLab webhook requests to. You can inspect and debug the HTTP requests using the RequestBin web UI to facilitate testing.
      links:
        - url: https://requestbin.com
          title: RequestBin
        - url: https://requestbin.com/docs/
          title: RequestBin Documentation
    - title: Jelastic PaaS
      content: A private GitLab instance automatically installed and scaled on Jelastic PaaS. The instance is secured with built-in SSL that can be upgraded to Let's Encrypt or higher level certificates for custom domains. Runners are automatically scaled vertically, horizontal scaling is available in a click or based on triggers.
      links:
        - url: https://github.com/jelastic-jps/gitlab
          title: Install GitLab on Jelastic PaaS
        - url: https://jelastic.com/blog/private-gitlab-server-auto-installation
          title: Automatic installation guide
    - title: Jelastic CaaS
      content: Jelastic is a container management platform that provides multi-tenant Kubernetes auto-clustering with pay-per-use pricing and multi-cloud availability.
      links:
        - url: https://jelastic.com/kubernetes-hosting
          title: Jelastic Kubernetes Clusters
    - title: Zulip
      content: Get notifications about your GitLab projects in Zulip. Zulip is the world's most productive group chat and the leading open source alternative to Slack. With Zulip, you don't have to choose between missing important conversations and wasting time reading irrelevant ones.
      links:
        - url: https://zulipchat.com/
          title: About Zulip
        - url: https://zulipchat.com/integrations/#gitlab
          title: Zulip's GitLab integration
    - title: Userback
      content: Receive & manage your product bugs and UI/UX issues with annotated screenshots directly in GitLab.
      links:
        - url: https://www.userback.io/integration/gitlab
          title: www.userback.io
    - title: 'PractiTest'
      content: 'Use PractiTest test management tool for your entire QA process and report or link issues to GitLab directly'
      links:
        - url: 'https://www.practitest.com/help/integrations/gitlab/'
          title: 'PractiTest GitLab Integration'
    - title: Mattermost
      content: Accelerate GitLab workflows with notifications and slash commands via Mattermost, an open source collaboration platform that ships pre-packaged with GitLab Omnibus. Communicate via channel-based messaging, subscribe to notifications, and see the status of merge requests at a glance.
      links:
        - url: https://docs.gitlab.com/omnibus/gitlab-mattermost/
          title: Mattermost in GitLab Omnibus
    - title: Stoplight
      content: Stoplight is a collaborative API design platform that provides a visual API designer, actionable insights, and tools to manage API quality and consistency. The Stoplight Platform acts as a layer on top of your GitLab repository, allowing you to add API design and docs tooling to your existing development workflows.
      links:
        - url: https://meta.stoplight.io/docs/platform/2.-workspaces/configure-git/e.gitlab.md
          title: Stoplight for GitLab Integration
    - title: PagerDuty
      content: Send notification-free events from GitLab to PagerDuty services regarding important changes, such as merge requests, to provide context for PagerDuty users.
      links:
        - url: https://support.pagerduty.com/docs/gitlab-changes
          title: GitLab Changes Integration for PagerDuty
    - title: Checkly
      content: Checkly is an active monitoring solution for developers. It integrates with GitLab Alerts and can deliver failure, degradation, and recovery messages to any project in your GitLab installation.
      links:
        - url: https://www.checklyhq.com
          title: Checkly
        - url: https://www.checklyhq.com/docs/integrations/gitlab_alerts/
          title: Checkly Integration for GitLab Alerts
- title: Continuous Integration
  id: continuous-integration
  applications:
    - title: Bitrise
      content: Hosted Continuous Integration and Delivery service for mobile apps. Craft powerful workflows to automate build, testing, deployment and feedback cycles to have more time for actual coding, while having constant overview about the state of your app.
      links:
        - url: https://www.bitrise.io
          title: Bitrise.io
    - title: BuildKite
      content: BuildKite runs builds on GitLab commits, either on self-hosted GitLab repositories or GitLab.com.
      links:
        - url: https://buildkite.com/docs/guides/gitlab
          title: BuildKite
    - title: Codeship
      content: Hosted Continuous Integration & Delivery with native Docker support that allows to fully customize your CI environment
      links:
        - url: https://codeship.com/gitlab
          title: Codeship Continuous Integration with GitLab
    - title: Codefresh
      content: Codefresh is a Continuous Integration and Delivery Platform built for containers/Kubernetes/Helm with native support for GitLab source code repositories
      links:
        - url: https://codefresh.io/docs/docs/integrations/git-providers/#gitlab
          title: Codefresh Gitlab integration
    - title: Jenkins
      content: We support Jenkins through the Jenkins GitLab plugin.
      links:
        - url: http://doc.gitlab.com/ee/integration/jenkins.html
          title: Jenkins CI integration
    - title: Magnum CI
      content: Hosted Continuous Integration and Delivery Platform
      links:
        - url: http://blog.magnum-ci.com/post/55149963415/integration-with-gitlab
          title: Magnum CI Integration with GitLab
    - title: Percy
      content: Your all-in-one visual testing solution. Percy integrates with your tests and CI environment to detect visual regressions and give you visual insight into every product change.
      links:
        - url: https://percy.io?utm_source=gitlab_partners
          title: Start using Percy
        - url: https://docs.percy.io/docs/gitlab?utm_source=gitlab_partners
          title: GitLab.com integration
        - url: https://docs.percy.io/docs/gitlab-self-hosted?utm_source=gitlab_partners
          title: GitLab self-managed integration
    - title: Shippable
      content: |
        Shippable is the one solution you need to automate your application
        delivery pipelines, with the flexibility to work with your existing
        tools, processes and infrastructure.
      links:
        - url: https://www.shippable.com/gitlab.html
          title: Shippable GitLab integration
    - title: StriderCD
      content: StriderCD is an open-source continuous integration tool that integrates well with GitLab.
      links:
        - url: http://strider.readthedocs.org/en/latest/intro.html
          title: StriderCD
    - title: TeamCity
      content: One reason TeamCity is dubbed an "Intelligent CI server" is its approach to integration. You get all this support without installing any plugins and with no modifications to build scripts.
      links:
        - url: https://www.jetbrains.com/teamcity/features/
          title: TeamCity
    - title: buddybuild
      content: Integrating buddybuild to any GitLab account automates the process of setting up and configuring a continuous integration and deployment system for your mobile projects. Connecting buddybuild also unlocks features like merge requests, updated commit status, automatic team member provisioning and more.
      links:
        - url: https://www.buddybuild.com/blog/buddybuild-gitlab-integration
          title: buddybuild
    - title: Terraform
      content: HashiCorp Terraform Enterprise provides integration with version control systems (VCS) to facilitate collaboration on infrastructure as code.
      links:
        - url: https://www.hashicorp.com/blog/announcing-terraform-enterprise-integration-for-gitlab/
          title: Terraform
    - title: odagrun
      content: A conceptual GitLab Runner with some bells and whistles developed for Openshift.
      links:
        - url: https://gitlab.com/gioxa/odagrun/odagrun
          title: odagrun
    - title: Pulumi
      content: The Pulumi integration with GitLab CI makes it easy to create and manage infrastructure stacks based on commits to specific Git branches so you can simply push-to-deploy your infrastructure.
      links:
        - url: https://www.pulumi.com/docs/guides/continuous-delivery/gitlab-ci/
          title: Pulumi + GitLab CI Integration
    - title: Broadcom
      content: Connect GitLab to CA Endevor, the dominant mainframe code repository, synchronously with CA Endevor Bridge for Git. Empower developers with cross-platform collaboration capabilities by providing a Git experience while working on Mainframe code managed in CA Endevor.
      links:
        - url: https://techdocs.broadcom.com/content/broadcom/techdocs/us/en/ca-mainframe-software/devops/ca-endevor-integrations-for-enterprise-devops/1-0/ca-endevor-bridge-for-git/set-up-and-run-the-ca-endevor-bridge-for-git/GitLab--Create-application.html
          title: Using CA Endevor Bridge for Git with GitLab
    - title: Refactr
      content: Refactr is a radically simple DevSecOps automation platform that drives outcomes for cybersecurity and DevOps teams.
      links:
        - url: http://docs.refactr.it/tutorials/gitlab/
          title: Refactr for GitLab Documentation
    - title: Applitools
      content: The world's most intelligent cross browser and device automated testing platform, powered by Visual AI. The GitLab integration enables UI version control to quickly correlate code changes with UI updates. Instantly mirror feature branches and merge new baselines back to the trunk minimizing test maintenance overhead.
      links:
        - url: https://info.applitools.com/uLc6
          title: Applitools for GitLab documentation
        - url: https://info.applitools.com/uLc5
          title: Free Applitools account
    - title: Liquibase
      content: Liquibase is an open-source database-independent library for tracking, managing and applying database schema changes. It was started in 2006 to allow easier tracking of database changes, especially in an agile software development environment.
      links:
        - url: https://www.liquibase.org/
          title: Liquibase
        - url: https://gitlab.com/gitlab-com/alliances/liquibase/sandbox-projects/liquibasegitlabcicd/-/blob/master/README.md
          title: GitLab CI/CD with Liquibase 
    - title: Avisi Apps
      content: Our monday.com - GitLab integration offers you a simple set up to start connecting your business and development teams. <a href="https://monday.com/marketplace/107">Try it out now</a> and improve your team collaboration.
      links:
        - url: https://apps.avisi.com/apps/gitlab-integration
          title: The monday.com - GitLab integration
        - url: https://monday.com/marketplace/107
          title: Marketplace
        - url: https://avisi-apps.gitbook.io/gitlab/
          title: Documentation
    - title: Incredibuild
      content: Incredibuild turbocharges compilation, tests, and other compute-intensive tasks by distributing processes across idle CPUs, turning each host into a supercomputer with hundreds of cores - thus radically shortening compute times. Use the integration to distribute GitLab builds and accelerate them with Incredibuild.
      links:
        - url: https://www.incredibuild.com/
          title: Incredibuild
        - url: https://docs.incredibuild.com/win/latest/windows/Gitlab.html
          title: Running GitLab Builds with Incredibuild
    - title: CML
      content: Continuous Machine Learning automates CI/CD for Machine Learning. Generate ML model metrics changes and plots in merge requests. Compare ML experiments and dataset changes across your project history. Allocate CPU or GPU resources from ML trining through CI/CD process.
      links:
        - url: http://cml.dev/
          title: Continuous Machine Learning
        - url: https://dvc.org/doc/cml/start-gitlab
          title: Using CML on GitLab                                      
- title: Voice Assistants
  id: voice-assistants
  applications:
    - title: Lab Assistant
      content: An Alexa skill for managing your projects on GitLab.com using your voice. Run pipelines with custom variables or check on the status of the todos, issues, and merge requests assigned to you.
      links:
        - url: https://www.amazon.com/dp/B07XY2NBQC
          title: Skill homepage on Amazon
        - url: https://gitlab.com/nfriend/lab-assistant
          title: Repository on GitLab
- title: CMS Plugins
  id: cms-plugins
  applications:
    - title: Drupal Plugin
      content: Connect your Drupal site to a GitLab instance using web services. This is purely an API module. You should only enable it if another module requires it or if you want to build code against this API.
      links:
        - url: https://www.drupal.org/project/gitlab
          title: www.drupal.org
    - title: Dropfort
      content: Dropfort helps you to organize your Drupal projects and manage your sites in one simple interface.
      links:
        - url: http://dropfort.com
          title: www.dropfort.com
    - title: Confluence
      content: This plugin aims to provide a connection between Confluence and your GitLab server instance. It enables you to view issues, builds, merge requests and project information with simple to use macros.
      links:
        - url: https://rumpelcoders.atlassian.net/wiki/display/PLUG/GitLab+Connector+Plugin
          title: GitLab Connector Plugin
    - title: Crafter CMS
      content: Use GitLab as an upstream remote repository in your Crafter CMS project to streamline development of content management applications.
      links:
        - url: https://craftersoftware.com
          title: Crafter Software
        - url: https://blog.craftercms.org/2018/03/17/integrating-crafter-cms-with-gitlab-for-better-devops
          title: GitLab-Crafter Integration
- title: GUI Git Clients
  id: gui-git-clients
  applications:
    - title: All GUI Clients
      content: All Git GUI Clients from all companies are compatible with GitLab.
      links:
        - url: http://git-scm.com/downloads/guis
          title: http://git-scm.com/downloads/guis
    - title: GitLab Workflow
      content: Official VS Code plugin. GitLab Workflow allows you to perform actions for your GitLab.com project directly within VSCode. Maintained and supported by GitLab Inc.
      links:
        - url: https://marketplace.visualstudio.com/items?itemName=fatihacet.gitlab-workflow
          title: GitLab Workflow on Marketplace
        - url: https://about.gitlab.com/blog/2020/07/31/use-gitlab-with-vscode/
          title: How we created a GitLab Workflow Extension for VS Code
        - url: https://gitlab.com/gitlab-org/gitlab-vscode-extension/
          title: Docs
    - title: Sourcetree
      content: SourceTree works with GitLab (Cloud, CE, EE) to help you manage changes to your source code in a visual way.
      links:
        - url: https://www.sourcetreeapp.com/
          title: www.sourcetreeapp.com
    - title: Git Tower
      content: Easy version control in a beautiful, efficient, and powerful app for Windows and macOS.
      links:
        - url: http://www.git-tower.com/
          title: www.git-tower.com
    - title: Eclipse
      content: 'Eclipse has the Egit Team provider that also supports GitLab. <a href="https://projects.eclipse.org/projects/technology.egit">Eclipse Git Team Provider</a> <a href="http://wiki.eclipse.org/EGit/User_Guide#Working_with_remote_Repositories">Working with remote repositories</a>'
    - title: JetBrains
      content: Lets you interact with gitlab from within your IDE.
      links:
        - url: https://plugins.jetbrains.com/plugin/7447?pr=idea
          title: JetBrains integration plugin
    - title: Visual Studio
      content: The Visual Studio IDE provides built-in source control integration for Git.
      links:
        - url: https://visualstudio.com/
          title: www.visualstudio.com
    - title: GitKraken
      content: The downright luxurious Git client for Windows, Mac & Linux.
      links:
        - url: https://www.gitkraken.com/
          title: GitKraken.com
    - title: PhpStorm
      content: This IDE for the PHP programming language has a GitLab plugin.
      links:
        - url: https://plugins.jetbrains.com/plugin/7319?pr=phpStorm
          title: Plugin on the Jetbrains site
    - title: Domino Data Lab
      content: Domino’s enterprise MLOps platform accelerates research, speeds model deployment, and increases collaboration for code-first data science teams at scale. Integrate data science code into GitLab CI/CD workflows.
      links:
        - url: https://www.dominodatalab.com
          title: Learn about Domino
        - url: https://blog.dominodatalab.com/git-integration/
          title: Blog Post
        - url: https://docs.dominodatalab.com/en/4.4/reference/data/git/Git_repositories_in_Domino.html
          title: Reference
    - title: Felgo Cloud IDE
      content: The Felgo Cloud IDE is a unique GitLab-based development environment for Qt and QML projects. Host your Qt projects, edit code, preview changes, and build your Qt application directly in the browser.
      links:
        - url: https://felgo.com
          title: Felgo
        - url: https://blog.felgo.com/updates/cloud-ide-qt-development-online
          title: Felgo Cloud IDE      
- title: Performance Measurements
  id: performance-measurements
  applications:
    - title: AppSignal
      content: 'AppSignal <a href="http://blog.appsignal.com/blog/2015/01/20/gitlab-integration.html">supports GitLab</a> and can monitor both Rails and Sidekiq.'
      links:
        - url: https://appsignal.com/
          title: appsignal.com
    - title: Opbeat
      content: Application monitoring for developers with Git integration for faster debugging.
      links:
        - url: https://opbeat.com/
          title: opbeat.com
        - url: https://opbeat.com/docs/articles/gitlab-integration/
          title: GitLab integration
    - title: Munin Plugins
      content: Plugins for monitoring a GitLab instance with munin.
      links:
        - url: https://github.com/MatthiasLohr/munin-plugins-gitlab
          title: Plugins on GitHub
    - title: Blackfire.io
      content: Blackfire enables you to automate the performance testing and profiling of your code any time you modify it.
      links:
        - url: https://blackfire.io
          title: Blackfire.io
        - url: https://blackfire.io/docs/integrations/gitlab
          title: Gitlab integration documentation
    - title: Rollbar
      content: Rollbar's real-time error monitoring <a href="https://rollbar.com/blog/rollbar-integration-for-gitlab/">integrates with GitLab</a> providing a fast and frictionless debugging experience with deep links to source code and issue tracking.
      links:
        - url: https://rollbar.com/
          title: Rollbar
    - title: Logzio
      content: Logz.io is an intelligent log analysis platform that combines the open source ELK Stack as a cloud service, with advanced machine learning, to help users gain insight into their data. The integration with GitLab enables easy shipping of GitLab logs into Logz.io, for monitoring, analysis and visualization.
      links:
       - url: https://logz.io
         title: Logz.io
       - url: https://logz.io/blog/monitoring-gitlab-elk-stack/
         title: Integration instructions
    - title: Analytics & Reports by Screenful
      content: Get actionable insights from your GitLab task data. Track your teams' velocity, lead & cycle times, current bottlenecks, and get a high-level view across all projects. Get a quick overview of your progress without configuring anything. Select charts and reports from time-tested templates or create your own custom setups — filter based on any property, see correlations, and analyze trends. Share insights with public and private links. Send them via email or Slack on a custom schedule.
      links:
        - url: https://screenful.com/reports-for-gitlab
          title: Analytics & Reports for GitLab
        - url: https://screenful.com/gitlab/getting-started
          title: Getting started guide
    - title: Dashboards by Screenful
      content: See the current status of your projects as well as longer term trends in a visual dashboard created from your GitLab data. Gain insight to things like team velocity, lead & cycle times, and what types of tasks team is spending time on. Use with any of your devices or rotate on the office TV.
      links:
        - url: https://screenful.com/dashboards-for-gitlab
          title: Dashboard for GitLab
        - url: https://screenful.com/gitlab/getting-started
          title: Getting started guide
    - title: Waydev
      content: Enable GitLab users and teams to make data driven decisions. Waydev analyzes your codebase in GitLab to provide actionable metrics, crystal-clear visibility and better productivity.
      links:
        - url: https://waydev.co/gitlab
          title: Waydev GitLab integration
        - url: https://docs.waydev.co/articles/3020519-importing-repos-from-gitlab-com-or-gitlab-enterprise
          title: Documentation
    - title: Plecto
      content: Build customized GitLab dashboards that visualize your business metrics and KPIs in real-time. Import your data directly from GitLab and create your own dashboards.
      links:
        - url: https://www.plecto.com/integrations/gitlab/?utm_campaign=INT-PAR-C-gitlab&utm_source=gitlab&utm_medium=marketplace&utm_content=gitlab
          title: Plecto for GitLab documentation
    - title: LinearB
      content: LinearB's Software Delivery Intelligence correlates and reconstructs Git, project and release data to provide real-time project insights and team metrics with zero manual updates or developer interruptions.
      links:
        - url: https://linearb.io/
          title: LinearB
        - url: https://linearb.helpdocs.io/article/h2a8lvx4l3-git-lab-server-on-prem-connection-guide
          title: GitLab Server (On-Prem) Connection Guide
    - title: Cortex
      content: Import GitLab services into Cortex to view service information alongside other integrations and set standards for development maturity using repository details.
      links:
        - url: https://www.getcortexapp.com/
          title: Cortex
        - url: https://www.getcortexapp.com/integrations
          title: Cortex Integrations
        - url: https://docs.getcortexapp.com/service-descriptor/#git
          title: Cortex GitLab integration documentation      
    - title: Logilica
      content: Supercharge GitLab teams with data-driven decision making. Logilica creates productivity, velocity and team health insights automatically across the value stream by analyzing GitLab and DevOps metadata. Logilica’s live cockpit can be shared across remote teams to keep everyone aligned with zero interruption.
      links:
       - url: https://logilica.com/?gitlab
         title: Logilica
       - url: https://support.logilica.com/en/articles/5450217-signing-up-with-gitlab
         title: Logilica for GitLab   
- title: Login
  id: login
  applications:
    - title: OAuth2 service provider
      content: Using the OAuth2 service provider to sign into other services.
      links:
        - url: https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/integration/oauth_provider.md
          title: GitLab as OAuth2 authentication service provider
    - title: PHP OAuth2 client
      content: Let users of your application authenticate through a public or private GitLab instance.
      links:
        - url: https://packagist.org/packages/omines/oauth2-gitlab
          title: GitLab Provider for the PHP League OAuth 2.0 Client
- title: Scrum Boards
  id: scrum-boards
  applications:
    - title: Taiga.io
      content: Taiga is a project management platform for startups and agile developers and designers who want a simple, beautiful tool that makes work truly enjoyable.
      links:
        - url: https://taiga.io/
          title: Taiga.io
    - title: Kanboard
      content: 'An open source and self-hosted visual task board software.
      GitLab events can be connected to Kanboard''s automatic actions through <a href="http://kanboard.net/documentation/gitlab-webhooks">GitLab webhooks</a> and <a href="http://kanboard.net/documentation/gitlab-authentication">GitLab authentication</a>'
      links:
        - url: http://kanboard.net
          title: kanboard.net
    - title: Scrumdo
      content: ScrumDo, your Process Improvement Partner, has seamless and frictionless integration of important development events right into cards on your Scrum or Kanban board.  Make the true status of work from customer requests through to code a reality with ScrumDo and Gitlab side by side.
      links:
        - url: https://www.scrumdo.com/
          title: Scrumdo
    - title: GitLab Kanban
      content: Self hosted kanban board built from the ground up using the GitLab public API. Kanban issues are GitLab issues and the user permissions are respected.
      links:
        - url: http://kanban.leanlabs.io/
          title: Kanban.Leanlabs.io
    - title: Vivify Scrum
      content: "A project management tool that is Scrum and Kanban compatible. Intuitive and efficient. Built for software developers by software developers. Let's you focus on what matters."
      links:
        - url: https://www.vivifyscrum.com/
          title: Vivify Scrum
    - title: Trello Power-Up
      content: 'The GitLab Power-Up allows you to link a merge request with a card.<br><br><a href="https://trello.com/power-ups/596d1abf23be1b7ab89cf4c4/enable"><img alt="Add to Trello" height="40" width="144" src="https://p.trellocdn.com/add_to_trello.png" srcset="https://p.trellocdn.com/add_to_trello.png 1x, https://p.trellocdn.com/add_to_trello@2x.png 2x" /></a>'
      links:
        - url: https://gitlab.com/gitlab-org/trello-power-up
          title: GitLab Power-Up
    - title: GitLab Board Better
      content: GitLab Board Better is a Chrome Extension which helps you to be more productive and organized while using GitLab Boards.
      links:
        - url: https://chrome.google.com/webstore/detail/gbb-gitlab-board-better/fjhimlhfidegbajaoaagkogellknammf?ref=gbpartners
          title: GBB for Chrome
        - url: https://gitlab-board-better.com
- title: Built with GitLab
  id: built-with-gitlab
  applications:
    - title: La fabrique de la loi
      content: 'This site <a href="http://www.lafabriquedelaloi.fr/a-propos.html">uses GitLab</a> to store French laws in git and make the lawmaking process visual.'
      links:
        - url: http://www.lafabriquedelaloi.fr/articles.html?loi=pjl12-689
          title: lafabriquedelaloi.fr
    - title: Perforce Helix GitSwarm
      content: Perforce Helix GitSwarm is a git collaboration tool built on GitLab.
      links:
        - url: http://www.perforce.com/git
          title: perforce.com/git
    - title: O'Reilly Atlas
      content: 'Technical publisher O''Reilly Media has build their own frontend on top of a GitLab backend. They published a <a href="https://www.youtube.com/watch?v=IHEbYsaKW9Y&feature=youtu.be">video of the app</a> <a href="https://github.com/oreillymedia/backbone-gitlab/">Backbone for GitLab API library</a> they developed for this.'
      links:
        - url: https://atlas.oreilly.com/
          title: atlas.oreilly.com
    - title: Penflip
      content: 'This authoring site for writing books is <a href="https://twitter.com/madebyloren/status/468917323588698112">built with a fork of GitLab.</a>'
      links:
        - url: https://www.penflip.com/
          title: penflip.com
- title: Translation Tools
  id: translation-tools
  applications:
    - title: Crowdin
      content: 'A web-based solution for developers created to streamline the localization process. Easy file sync between GitLab repository and a localization project in Crowdin. Provides translators and managers with an advanced tooling set.
      GitLab uses Crowdin to <a href="http://translate.gitlab.com/">add and support multiple languages</a>.'
      links:
        - url: "https://crowdin.com/"
          title: Crowdin website
        - url:  "https://support.crowdin.com/gitlab-integration/"
          title: GitLab integration documentation
    - title: POEditor
      content: Collaborative translation platform and localization management software. The integration with GitLab connects the translations in POEditor projects with language files in GitLab repos, simplifying translation management and synchronization.
      links:
        - url: https://poeditor.com/
          title: POEditor
        - url: https://poeditor.com/help/how_to_translate_a_language_file_from_a_gitlab_project
          title: GitLab Integration
    - title: Memsource
      content: 'Connect your GitLab repository to Memsource, a powerful cloud-based translation platform, equipped for continuous localization and end-to-end automation. This integration, based on our REST API, can detect changes then seamlessly pass updated files through Memsource and push the localized content back to GitLab.'
      links:
        - url: "https://www.memsource.com/"
          title: Memsource website
        - url:  "https://help.memsource.com/hc/en-us/articles/360004326372-GitLab-Integration"
          title: Memsource integration documentation
      image_path_optional: "/images/applications/apps/memsource.png"
    - title: Lokalise
      content: "Lokalise offers a translation management system (TMS) that enables teams to manage the translations of their web and mobile apps, games, and digital content. The integration with GitLab allows you to easily sync and exchange files with your GitLab repository."
      links:
        - url: "https://lokalise.co"
          title: Lokalise
        - url:  "https://docs.lokalise.co/integrations/gitlab"
          title: GitLab integration
- title: Security
  id: security
  applications:
    - title: Checkmarx
      content: Checkmarx provides automated SAST and SCA security testing. Through our automation capabilities, Checkmarx scan results are integrated directly into GitLab Issues, GitLab Merge Requests Overviews, and/or the GitLab Security Dashboard to enhance CI/CD workflows and provide actionable security insights. Combined with just-in-time AppSec awareness training via Checkmarx Codebashing, vulnerability remediation is streamlined and developers are empowered to deliver more secure software faster.
      links:
        - url:  https://checkmarx.atlassian.net/wiki/spaces/SD/pages/1929937052/GitLab+Integration
          title: Checkmarx for GitLab Integration
    - title: "WhiteSource"
      content: WhiteSource provides additional vulnerability scanning and auto-remediation of software dependencies for GitLab users. Developers can find and fix vulnerable code using WhiteSource scanning without leaving the GitLab CI/CD pipeline. Security pros can leverage their WhiteSource investment to advance their shift left and further automate risk policies within the SDLC. GitLab Ultimate's Security Dashboard improves collaboration for DevSecOps while providing visibility into vulnerability testing and remediation.
      links:
        - url: "https://www.whitesourcesoftware.com/"
          title: WhiteSource for GitLab
        - url:  "https://www.whitesourcesoftware.com/gitlab/"
          title: GitLab integration
      image_path_optional: "/images/applications/apps/whitesource.png"
    - title: StackHawk
      content: StackHawk makes it simple for developers to find, triage, and fix application security bugs. With the GitLab integration, kick off an application security test with every build. Then, triage and fix in StackHawk with provided documentation. With automated AppSec testing in your pipeline, you can be sure catch vulnerabilities before they hit prod.
      links:
        - url: https://docs.stackhawk.com/continuous-integration/gitlab.html
          title: StackHawk and GitLab documentation
    - title: Bridgecrew
      content:  Bridgecrew is a developer-first platform that codifies and streamlines cloud security throughout the development lifecycle. By leveraging automation, Bridgecrew identifies, fixes, and prevents misconfigurations in cloud resources and infrastructure as code files. Integrating Bridgecrew with Gitlab Self-managed makes it possible for Bridgecrew to scan your Infrastructure-as-code files (Terraform and CloudFormation) and monitor configuration issues in development.
      links:
        - url: "https://bridgecrew.io/"
          title: Bridgecrew
        - url: "https://docs.bridgecrew.io/docs/integrate-with-gitlab-self-managed"
          title: Bridgecrew for Gitlab
    - title: Anchore
      content: The Anchore Enterprise GitLab Scan integration enables vulnerability scanning via Anchore Enterprise in GitLab CI. This includes automatic conversion from the Anchore default vulnerability report format to GitLab’s container scanning format, for display in the GitLab Security & Compliance Vulnerability UI.
      links:
        - url: https://anchore.com/
          title: "Anchore: Container Security Solutions For DevSecOps"
        - url:  https://docs.anchore.com/current/docs/using/integration/ci_cd/gitlab/
          title: Adding Anchore Scanning To GitLab
    - title: Jscrambler
      content: Jscrambler provides the most advanced JavaScript obfuscation techniques combined with code locks and self-defending capabilities to prevent reverse-engineering and tampering attempts. With the GitLab integration, you can easily set up a new job on your GitLab CI pipelines to protect your JavaScript assets.
      links:
        - url: https://jscrambler.com/
          title: Jscrambler
        - url: https://docs.jscrambler.com/code-integrity/documentation/gitlab-ci-integration
          title: Jscrambler for GitLab
    - title: Indeni Cloudrail
      content: Cloudrail uses a context-engine to analyze your infrastructure-as-code for security issues, highlighting only those that are a true risk to your cloud environment. With the GitLab integration, you can see security issues in your Terraform code directly within the GitLab interface.
      links:
        - url: https://indeni.com/cloudrail/
          title: Indeni Cloudrail
        - url: https://indeni.com/doc-indeni-cloudrail/integrate-with-ci-cd/gitlab-instructions/
          title: Indeni Cloudrail GitLab Integration Instructions
    - title: CodeSonar
      content: "Integrate CodeSonar’s Application Security Testing into GitLab’s pipeline to enable developers to find and fix security vulnerabilities from inside the familiar GitLab UI.  With each merge request, CodeSonar will automatically analyze your code and return any vulnerabilities found via the GitLab SAST interface.  Use the GitLab Security Dashboard to get an overview on the security of your code, and the Vulnerability Report to drill down to find the details."
      links:
        - url: http://grammatech.com/
          title: GrammaTech
        - url: http://grammatech.com/codesonar-gitlab-integration
          title: CodeSonar GitLab Integration
    - title: Veracode
      content: Veracode integrates into your application build process to help prevent the release of insecure software to production. Run Veracode Static Analysis and Software Composition Analysis scans inside your build and delivery workflow with GitLab CI to get fast, automated feedback in GitLab issues and the GitLab Security Dashboard.
      links:
       - url: https://www.veracode.com/
         title: Veracode
       - url: https://community.veracode.com/s/knowledgeitem/gitlab-ci-MCEKSYPRWL35BRTGOVI55SK5RI4A
         title: Veracode for GitLab
    - title: DeepFactor
      content:  Integrate DeepFactor into your GitLab pipeline to automatically observe every build. DeepFactor provides Continuous AppSec Observability and enables Eng and AppSec teams to find RUNTIME security risks. You can review and triage the issues directly in the GitLab security dashboard or in your DeepFactor Portal.
      links:
       - url: https://deepfactor.io
         title: DeepFactor
       - url: https://docs.deepfactor.io/hc/en-us/articles/1500008981941
         title: DeepFactor for GitLab
    - title: Venafi
      content: The Trust Protection Platform powers enterprise solutions that give you the visibility, intelligence and automation to protect machine identities throughout your organization. This integration with Venafi CodeSign Protect makes it easy for developers to use their favorite GitLab pipelines with automated and security approved code signing. Now security teams can help protect build pipelines without slowing down engineering. Venafi is the market leader and category creator of machine identity management.  
      links:
       - url: https://www.venafi.com/
         title: Venafi
       - url: https://marketplace.venafi.com/details/gitlab-ci-cd/
         title: Venafi for GitLab CI/CD
    - title: Aqua Trivy
      content: Aqua Trivy is the fastest way for DevOps and security teams to shift left and get started with vulnerability and infrastructure as code (IaC) scanning. Starting in 14.0, Gitlab will begin using Trivy as its default container scanning engine, taking advantage of quick installation, broad ecosystem integrations, high accuracy, and comprehensive coverage.
      links:
       - url: https://www.aquasec.com/
         title: Aqua Security
       - url: https://github.com/aquasecurity/trivy
         title: Aqua Trivy
    - title: Semgrep
      content: Semgrep is a fast, open-source, static analysis tool that finds bugs and enforces code standards at editor, commit, and CI time. Precise rules look like the code you're searching; no more traversing abstract syntax trees, wrestling with regexes, or using a painful DSL. Code analysis is performed locally (code is not uploaded) and Semgrep runs on uncompiled code.
      links:
        - url: "https://semgrep.dev/for/gitlab"
          title: "Semgrep for GitLab"
        - url: "https://semgrep.dev/docs/semgrep-ci/#gitlab-cicd"
          title: Integration docs
        - url: "https://r2c.dev/"
          title: r2c, maintainers of Semgrep
    - title: Accurics
      content:  GitLab and Accurics' combined solution co-relates SAST, IaC, and Cloud vulnerabilities and enforces policies to mitigate the risk throughout the development lifecycle.
      links:
       - url: https://www.accurics.com/
         title: Accurics 
       - url: https://readme.accurics.com/1409/       
         title: GitLab SAST Integration                     
- title: Project Management
  id: project-management
  applications:
    - title: Jell
      content: Link to GitLab issues in your daily standups
      links:
        - url: https://jell.com/gitlab
          title: Jell GitLab integration
    - title: GitLab Listener
      content: JIRA add-on allowing the reception of GitLab push events using GitLab project webhooks.
      links:
        - url: https://marketplace.atlassian.com/plugins/com.allenta.jira.plugins.gitlab.gitlab-listener
          title: Atlassian Marketplace
    - title: Teamweek
      content: Teamweek gives you the simplicity of an Excel sheet in a web-based, multi-user environment. It helps you schedule, manage and share tasks.
      links:
        - url: https://teamweek.com/
          title: Teamweek
    - title: Unito
      content: Manage your entire development cycle more efficiently from a single tool by syncing GitLab with Unito. With Unito, you can connect GitLab with Bitbucket, GitHub, Jira, Trello, and more.
      links:
        - url: https://unito.io/gitlab-sync/?utm_source=gitlab&utm_medium=marketplace&utm_campaign=gitlab
          title: Unito.io GitLab Integration
    - title: Git Integration for JIRA Cloud/Server
      content: View GitLab Commits in JIRA Issues and Projects. Native support for GitLab CE/EE and GitLab.com - fast and easy connection between JIRA and GitLab.
      links:
        - url: "https://docs.gitlab.com/ee/integration/jira/"
          title: GitLab integration documentation
    - title: Status Hero
      content: Automatically include GitLab activity within the daily or weekly team status reports produced by Status Hero.
      links:
        - url: https://statushero.com/integrations/gitlab
          title: Status Hero GitLab integration
    - title: Forecast
      content: Forecast is a PSA platform that helps you manage and improve your workflow. Forecast enables transparency by connecting people, projects and profit. Forecast's integration with GitLab saves you time by synchronizing your cards, issues, and milestones with Forecast's added features of scheduling and time tracking.
      links:
        - url: https://www.forecast.it/integrations/gitlab?utm_source=gitlab&utm_medium=marketplace
          title: Forecast GitLab Integration
    - title: ClickUp
      content: "ClickUp's GitLab integration allows you to automatically associate GitLab commits, pull requests, and branches with ClickUp tasks. In ClickUp, you'll be able to quickly reference GitLab items as well as manually link them to tasks."
      links:
        - url: https://docs.clickup.com/integrations/gitlab
          title: ClickUp GitLab Integration
    - title: Code Dog For Slack
      content: Automatic merge request reminders for Slack. Code Dog will bark at you if you don't approve and merge your merge requests!
      links:
        - url: https://code-dog.app/gitlab?utm_source=gitlab&utm_medium=marketplace
          title: Code Dog for GitLab
        - url: https://slack.com/apps/AC55P6BRD
          title: Slack App Directory page
    - title: Clubhouse
      content: Reduce context switching by linking GitLab commits, branches, and merge requests to Clubhouse Stories. Automatically transition Stories between workflow states based on merge request changes for better visibility over the status of your work.
      links:
        - url: https://clubhouse.io/
          title: Clubhouse.io
        - url: https://help.clubhouse.io/hc/en-us/articles/360025297091
          title: GitLab Integration
    - title: Jitbit Help Desk
      content: Create GitLab issues from Jitbit support tickets. The created issue links back to the ticket and the ticket links to the issue.
      links:
        - url: https://www.jitbit.com/helpdesk/
          title: Jitbit Help Desk
        - url: https://www.jitbit.com/helpdesk/gitlab-integration/
          title: GitLab Integration Manual
    - title: Mergecrush
      content: Get email and slack reminders of stalled merge requests waiting for approval.
      links:
        - url: https://www.mergecrush.com
          title: Mergecrush
        - url: https://slack.com/apps/AHE34S33N
          title: Mergecrush in Slack Directory
- title: Time Tracking
  id: time-tracking
  applications:
    - title: WakaTime
      content: Fully automatic time tracking generated from your programming activity in your editor.
      links:
        - url: https://wakatime.com/integrations
          title: WakaTime
    - title: Toggl
      content: Time tracker that is built for speed and ease of use.
      links:
        - url: https://www.toggl.com/tools
          title: Toggl
    - title: TMetric
      content: Easy time management tool which helps to track all your working activity in GitLab. Follow GitLab time tracking instruction to start using TMetric.
      links:
        - url: https://tmetric.com/help/integrations/gitlab-time-tracking/
          title: GitLab time tracking
    - title: Hubstaff
      content: Time tracking with screenshots and activity levels for GitLab issues. Issues sync automatically to native apps for Mac, Windows, Linux, iPhone and Android.
      links:
        - url: https://hubstaff.com/gitlab_time_tracking
          title: Integration
        - url: https://www.youtube.com/watch?v=bCJkMiN1hVw
          title: Video walk-through
        - url: http://support.hubstaff.com/gitlab-time-tracking-integration/
          title: Support
    - title: Cosango GitLab Reports
      content: Small open source app to easily create milestone and time tracking reports in GitLab
      links:
        - url: http://gitlabreports.cosango.com/
          title: App
        - url: https://gitlab.com/cosango/gitlabreports
          title: Source
    - title: Clockify
      content: A time tracker and timesheet app for teams. Clockify's GitLab integration allows you to track the time you spend working on issues and merge requests.
      links:
        - url: https://clockify.me/gitlab-time-tracking
          title: Clockify GitLab time tracking integration
- title: Code Quality
  id: code-quality
  applications:
    - title: PullRequest
      content: PullRequest is a platform for code review, built for teams of all sizes. This integration allows you to receive code reviews from our network of thousands of on-demand expert reviewers directly in your GitLab merge requests.
      links:
        - url: "https://www.pullrequest.com/?utm_source=gitlab&utm_medium=marketplace"
          title: PullRequest website
        - url:  "https://docs.pullrequest.com/pullrequest-docs/?utm_source=gitlab&utm_medium=marketplace"
          title: PullRequest integration documentation
    - title: Code Inspector
      content: Code Inspector is a code analysis and technical debt management platform that helps developers to build better software.
      links:
        - url: https://www.code-inspector.com
          title: Code Inspector Platform
        - url: http://doc.code-inspector.com
          title: Code Inspector Documentation
    - title: Klaros Test Management
      content: Klaros Test Management is a professional web based test management tool which tightly integrates issues in GitLab with testing activities.
      links:
        - url: "https://www.klaros-testmanagement.com"
          title: Klaros Test Management website
        - url:  "https://www.klaros-testmanagement.com/en_US/test-management-gitlab-integration"
          title: Klaros Test Management GitLab integration documentation
    - title: Softagram
      content: Softagram's integration with GitLab provides change analysis and visualization directly to Merge Request Discussion. Improve code quality with insights and dependency checks, and boosts code reviews with automated graphs of the change and its impact.
      links:
        - url: "https://softagram.com"
          title: Softagram for GitLab
        - url:  "http://help.softagram.com/en/articles/2847546-pull-merge-request-report-explained"
          title: Softagram Merge Request analysis explained
        - url:  "http://help.softagram.com/en/articles/2367040-how-to-integrate-with-gitlab-gitlab-com"
          title: How to configure
    - title: 'Trakr'
      content: 'Trakr catches visual regressions before changes are deployed to your site. Trigger Trakr visual testing with your GitLab projects as part of your “merge request” project workflow.'
      links:
        - url: 'https://www.trakr.tech/documentation/gitlab-installation/'
          title: 'Installation / Setup'
        - url: 'https://www.trakr.tech/documentation/gitlab-testing/'
          title: 'Documentation and Instructions'
    - title: Codacy
      content: Codacy integrates with GitLab, adding status support for Merge Requests, post-commit hooks for faster analysis and auto-comments on the issue line.
      links:
        - url: https://www.codacy.com/products/gitlab-code-review?utm_source=gitlab&utm_medium=partners
          title: Codacy for GitLab
        - url: https://support.codacy.com/hc/en-us/articles/360012037659-GitLab-Integration?utm_source=gitlab&utm_medium=partners
          title: Codacy Integration Documentation
    - title: CodeStream
      content: Create and manage GitLab issues & PR comments from VS Code, Jetbrains, Visual Studio and Atom.
      links:
        - url: https://codestream.com/
          title: CodeStream for GitLab
    - title: OverOps
      content: Enhance your GitLab CI/CD pipeline with Runtime Code Analysis from OverOps, a continuous reliability solution that helps companies move fast and fix faster. Block a release when critical errors are detected, and get the complete context required to resolve any error.
      links:
        - url: "https://doc.overops.com/docs/automate-cicd-quality-gates-with-overops-and-leading-cicd-pipelines#section-automating-the-ci-cd-quality-gates-process-for-git-lab"
          title: OverOps for GitLab Documentation
    - title: SonarQube
      content: SonarQube automatically analyzes your GitLab branches and merge requests so you spot and resolve Code Quality & Security™ issues before you commit. A clear Go/No-Go Quality Gate decoration on your MRs lets you know when it’s OK to merge.
      links:
        - url: "https://www.sonarqube.org/gitlab-integration/"
          title: SonarQube for GitLab
        - url:  "https://docs.sonarqube.org/latest/analysis/gitlab-integration/"
          title: SonarQube integration documentation
    - title: Integromat
      content: Integromat allows you to connect GitLab to more than 700 ready-made applications or to any API to integrate your DevOps processes and optimize your workflows without any coding. Utilize webhooks, actions, and triggers to automate work in GitLab and send notifications. Integromat also offers a general API connection module that allows you to call any GitLab endpoint, so you can integrate exactly what you need. Get started today!
      links:
        - url: https://www.integromat.com/en/integrations/gitlab?utm_medium=partner&utm_source=gitlab&utm_campaign=gitlab-partner-program
          title: Integromat for GitLab
        - url: https://support.integromat.com/hc/en-us/articles/360006248413-gitlab?utm_medium=partner&utm_source=gitlab&utm_campaign=gitlab-partner-program
          title: Integromat technical documentation
    - title: ServiceNow
      content:  Integrate GitLab SCM as your version control and collaboration tool and/or GitLab CI/CD (Continuous Integration and Continuous Deployment) as an orchestration tool within ServiceNow DevOps. This enables you to see commits along with pipeline data to power automated create change requests, and for additional insights. 
      links:
        - url: https://store.servicenow.com/sn_appstore_store.do#!/store/application/54dc4eacdbc2dcd02805320b7c96191e
          title: ServiceNow
        - url: https://docs.servicenow.com/bundle/quebec-devops/page/product/enterprise-dev-ops/concept/gitlab-integration-dev-ops.html
          title: ServiceNow for GitLab
    - title: Gitential
      content: Gitential automatically analyzes your GitLab codebase and provides you visibility and optimization highlights on your development teams' performance. Improve your team's speed, quality, efficiency and collaboration by continuously monitoring for risks and bottlenecks based on your coding, pr and review activities.
      links:
        - url: "https://gitential.com/"
          title: Gitential for GitLab
        - url:  "https://views.paperflite.com/collections/6062cab08350c76fbc678147"
          title: Start your journey with Gitential       
